# List balance transactions Retrieve a list of all balance transactions. Transactions include for example payments, refunds, chargebacks, and settlements. For an aggregated report of these balance transactions, refer to the [Get balance report](get-balance-report) endpoint. The alias `primary` can be used instead of the balance ID to refer to the organization's primary balance. The results are paginated. > 🔑 Access with > > [Organization access token with **balances.read**](/reference/authentication) > > [OAuth access with **balances.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Business operations", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/balances/{balanceId}/transactions": { "parameters": [ { "name": "balanceId", "description": "Provide the ID of the related balance.", "in": "path", "required": true, "schema": { "type": "string", "pattern": "^bal_.+$", "example": "bal_gVMhHKqSSRYJyPsuoPNFH" } } ], "get": { "summary": "List balance transactions", "x-speakeasy-name-override": "list-transactions", "tags": [ "Balances API" ], "operationId": "list-balance-transactions", "security": [ { "organizationAccessToken": [ "balances.read" ] }, { "oAuth": [ "balances.read" ] } ], "description": "Retrieve a list of all balance transactions. Transactions include for example payments, refunds, chargebacks, and settlements.\n\nFor an aggregated report of these balance transactions, refer to the [Get balance report](get-balance-report) endpoint.\n\nThe alias `primary` can be used instead of the balance ID to refer to the organization's primary balance.\n\nThe results are paginated.\n\n> 🔑 Access with\n>\n> [Organization access token with **balances.read**](/reference/authentication)\n>\n> [OAuth access with **balances.read**](/reference/authentication)", "parameters": [ { "schema": { "type": "string", "example": "baltr_QM24QwzUWR4ev4Xfgyt29A" }, "name": "from", "description": "Provide an ID to start the result set from the item with the given ID and onwards. This allows you to paginate the result set.", "in": "query" }, { "name": "limit", "description": "The maximum number of items to return. Defaults to 50 items.", "in": "query", "schema": { "type": [ "integer", "null" ], "minimum": 1, "maximum": 250, "default": 50, "example": 50 } }, { "name": "testmode", "description": "You can enable test mode by setting the `testmode` query parameter to `true`.\n\nTest entities cannot be retrieved when the endpoint is set to live mode, and vice versa.", "in": "query", "schema": { "type": "boolean", "example": false } } ], "responses": { "200": { "description": "A list of balance transaction objects.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of items in this result set. If more items are available, a `_links.next` URL will be present in the result as well.\n\nThe maximum number of items per result set is controlled by the `limit` property provided in the request. The default limit is 50 items.", "minimum": 1, "maximum": 250, "example": 5 }, "_embedded": { "type": "object", "required": [ "balance_transactions" ], "properties": { "balance_transactions": { "description": "An array of balance transaction objects.", "type": "array", "items": { "type": "object", "required": [ "resource", "id", "type", "resultAmount", "initialAmount", "createdAt" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains a balance transaction object. Will always contain the string `balance-transaction` for this endpoint.", "readOnly": true, "example": "balance-transaction" }, "id": { "allOf": [ { "type": "string", "pattern": "^baltr_.+$", "example": "baltr_QM24QwzUWR4ev4Xfgyt29d" } ], "description": "The identifier uniquely referring to this balance transaction.", "readOnly": true }, "type": { "description": "The type of transaction, for example `payment` or `refund`. Values include the below examples, although this list is not definitive.\n\n* Regular payment processing: `payment` `capture` `unauthorized-direct-debit` `failed-payment`\n* Refunds and chargebacks: `refund` `returned-refund` `chargeback` `chargeback-reversal`\n* Settlements: `outgoing-transfer` `canceled-outgoing-transfer` `returned-transfer`\n* Invoicing: `invoice-compensation` `balance-correction`\n* Mollie Connect: `application-fee` `split-payment` `platform-payment-refund` `platform-payment-chargeback`\n\nPossible values: `payment` `split-payment` `failed-payment` `failed-platform-split-payment` `failed-split-payment-compensation` `capture` `split-transaction` `refund` `platform-payment-refund` `returned-platform-payment-refund` `refund-compensation` `returned-refund-compensation` `returned-refund` `chargeback` `chargeback-reversal` `chargeback-compensation` `reversed-chargeback-compensation` `platform-payment-chargeback` `reversed-platform-payment-chargeback` `fee-prepayment` `outgoing-transfer` `incoming-transfer` `canceled-transfer` `returned-transfer` `balance-reserve` `balance-reserve-return` `invoice-rounding-compensation` `rolling-reserve-hold` `rolling-reserve-release` `balance-correction` `repayment` `loan` `balance-topup` `cash-collateral-issuance';` `cash-collateral-release` `pending-rolling-reserve` `to-be-released-rolling-reserve` `held-rolling-reserve` `released-rolling-reserve`", "type": "string", "example": "payment" }, "resultAmount": { "description": "The final amount that was moved to or from the balance. If the transaction moves funds away from the balance, for example when it concerns a refund, the amount will be negative.", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "initialAmount": { "description": "The amount that was to be moved to or from the balance, excluding deductions. If the transaction moves funds away from the balance, for example when it concerns a refund, the amount will be negative.", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "deductions": { "description": "The total amount of deductions withheld from the movement. For example, if we charge a €0.29 fee on a €10 payment, the deductions amount will be `{\"currency\":\"EUR\", \"value\":\"-0.29\"}`.\n\nWhen moving funds to a balance, we always round the deduction to a 'real' amount. Any differences between these real-time rounded amounts and the final invoice will be compensated when the invoice is generated.", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "deductionDetails": { "type": [ "object", "null" ], "description": "A detailed breakdown of the deductions withheld from the movement. Each field represents a specific type of deduction applied to the transaction. Only the applicable fields will be present.", "properties": { "fees": { "description": "The amount deducted for all transaction fees.", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "commissions": { "description": "The amount deducted for commissions (e.g Application fees).", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "repayments": { "description": "The amount deducted for Mollie Capital repayments.", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "reservations": { "description": "The amount deducted for rolling reservations.", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } } }, "context": { "type": [ "object", "null" ], "description": "Depending on the type of the balance transaction, we will try to give more context about the specific event that triggered it. For example, the context object for a payment transaction will look like `{\"paymentId\": \"tr_5B8cwPMGnU6qLbRvo7qEZo\", \"paymentDescription\": \"Description\"}`.\n\nBelow is a complete list of the context values that each type of transaction will have.\n\n* Type `payment`: `paymentId`, `paymentDescription`\n* Type `capture`: `paymentId` `captureId`, `paymentDescription`, `captureDescription`\n* Type `capture-commission`: `paymentId`, `paymentDescription`, `organizationId`\n* Type `capture-rolling-reserve-release`: `paymentId`, `paymentDescription`, `captureId`, `captureDescription`\n* Type `unauthorized-direct-debit`: `paymentId`, `paymentDescription`\n* Type `failed-payment`: `paymentId`, `paymentDescription`\n* Type `refund`: `paymentId` `refundId`, `paymentDescription`, `refundDescription`\n* Type `refund-compensation`: `paymentId` `refundId`, `paymentDescription`, `refundDescription`\n* Type `returned-refund`: `paymentId` `refundId`, `paymentDescription`, `refundDescription`\n* Type `returned-refund-compensation`: `paymentId` `refundId`, `paymentDescription`, `refundDescription`\n* Type `chargeback`: `paymentId` `chargebackId`, `paymentDescription`, `chargebackDescription`\n* Type `chargeback-reversal`: `paymentId`, `chargebackId`, `paymentDescription`, `chargebackDescription`\n* Type `chargeback-compensation`: `paymentId`, `chargebackId`, `paymentDescription`, `chargebackDescription`\n* Type `reversed-chargeback-compensation`: `paymentId`, `chargebackId`, `paymentDescription`, `chargebackDescription`\n* Type `outgoing-transfer`: `settlementId` `transferId`\n* Type `canceled-outgoing-transfer`: `settlementId` `transferId`\n* Type `returned-transfer`: `settlementId` `transferId`\n* Type `invoice-compensation`: `invoiceId`\n* Type `balance-correction`: none\n* Type `application-fee`: `paymentId`, `paymentDescription`, `payingOwner`\n* Type `split-payment`: `paymentId`, `paymentDescription`, `paymentOwner`\n* Type `platform-payment-refund`: `paymentId` `refundId`, `paymentDescription`, `refundDescription`\n* Type `returned-platform-payment-refund`: `paymentId` `refundId`, `paymentDescription`, `refundDescription`\n* Type `platform-payment-chargeback`: `paymentId` `chargebackId`, `paymentDescription`, `chargebackDescription`\n* Type `reversed-platform-payment-chargeback`: `paymentId` `chargebackId`, `paymentDescription`, `chargebackDescription`\n* Type `payment-commission`: `paymentId`, `paymentDescription`, `organizationId`\n* Type `reimbursement-fee`: `paymentId`, `paymentDescription`\n* Type `failed-payment-fee`: `paymentId`, `paymentDescription`\n* Type `payment-fee`: `paymentId`, `paymentDescription`\n* Type `cash-advance-loan`: none\n* Type `platform-connected-organizations-fee`: none\n* Type `managed-fee`: `feeType`, `Id`\n* Type `returned-managed-fee`: `feeType`, `Id`\n* Type `topup`: none\n* Type `balance-reserve`: none\n* Type `balance-reserve-return`: none\n* Type `movement`: none\n* Type `post-payment-split-payment`: `paymentId`\n* Type `cash-collateral-issuance`: none\n* Type `cash-collateral-release`: none", "properties": { "payment": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" } } }, "capture": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "captureId": { "type": "string", "pattern": "^cpt_.+$", "example": "cpt_vytxeTZskVKR7C7WgdSP3d" }, "captureDescription": { "type": "string", "example": "Capture Description" } } }, "capture-commision": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "captureId": { "type": "string", "pattern": "^cpt_.+$", "example": "cpt_vytxeTZskVKR7C7WgdSP3d" }, "captureDescription": { "type": "string", "example": "Capture Description" } } }, "capture-rolling-reserve-release": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "captureId": { "type": "string", "pattern": "^cpt_.+$", "example": "cpt_vytxeTZskVKR7C7WgdSP3d" }, "captureDescription": { "type": "string", "example": "Capture Description" } } }, "unauthorized-direct-debit": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" } } }, "failed-payment": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" } } }, "refund": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "refundId": { "type": "string", "pattern": "^re_.+$", "example": "re_5B8cwPMGnU" }, "refundDescription": { "type": "string", "example": "Refund Description" } } }, "refund-compensation": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "refundId": { "type": "string", "pattern": "^re_.+$", "example": "re_5B8cwPMGnU" }, "refundDescription": { "type": "string", "example": "Refund Description" } } }, "returned-refund": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "refundId": { "type": "string", "pattern": "^re_.+$", "example": "re_5B8cwPMGnU" }, "refundDescription": { "type": "string", "example": "Refund Description" } } }, "returned-refund-compensation": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "refundId": { "type": "string", "pattern": "^re_.+$", "example": "re_5B8cwPMGnU" }, "refundDescription": { "type": "string", "example": "Refund Description" } } }, "chargeback": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "chargebackId": { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" }, "chargebackDescription": { "type": "string", "example": "Chargeback Description" } } }, "chargeback-reversal": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "chargebackId": { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" }, "chargebackDescription": { "type": "string", "example": "Chargeback Description" } } }, "chargeback-compensation": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "chargebackId": { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" }, "chargebackDescription": { "type": "string", "example": "Chargeback Description" } } }, "reversed-chargeback-compensation": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "chargebackId": { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" }, "chargebackDescription": { "type": "string", "example": "Chargeback Description" } } }, "outgoing-transfer": { "type": [ "object", "null" ], "properties": { "transferId": { "type": "string", "pattern": "^trf_.+$", "example": "trf_nyjwa2" }, "settlementId": { "type": "string", "pattern": "^stl_.+$", "example": "stl_5B8cwPMGnU" } } }, "canceled-outgoing-transfer": { "type": [ "object", "null" ], "properties": { "transferId": { "type": "string", "pattern": "^trf_.+$", "example": "trf_nyjwa2" }, "settlementId": { "type": "string", "pattern": "^stl_.+$", "example": "stl_5B8cwPMGnU" } } }, "returned-transfer": { "type": [ "object", "null" ], "properties": { "transferId": { "type": "string", "example": "trf_nyjwa2" }, "settlementId": { "type": "string", "example": "stl_s3hcSM2hKP" } } }, "invoice-compensation": { "type": [ "object", "null" ], "properties": { "invoiceId": { "type": "string", "pattern": "^inv_.+$", "example": "inv_aHbjjdrUdm" } } }, "application-fee": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "payingOwner": { "type": "string", "pattern": "^org_.+$", "example": "org_1234567" } } }, "split-payment": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "paymentOnwer": { "type": "string", "pattern": "^org_.+$", "example": "org_1234567" } } }, "platform-payment-refund": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "refundId": { "type": "string", "pattern": "^re_.+$", "example": "re_5B8cwPMGnU" }, "refundDescription": { "type": "string", "example": "Refund Description" } } }, "returned-platform-payment-refund": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "refundId": { "type": "string", "pattern": "^re_.+$", "example": "re_5B8cwPMGnU" }, "refundDescription": { "type": "string", "example": "Refund Description" } } }, "platform-payment-chargeback": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "chargebackId": { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" }, "chargebackDescription": { "type": "string", "example": "Chargeback Description" } } }, "reversed-platform-payment-chargeback": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "chargebackId": { "type": "string", "pattern": "^chb_.+$", "example": "chb_xFzwUN4ci8HAmSGUACS4J" }, "chargebackDescription": { "type": "string", "example": "Chargeback Description" } } }, "payment-commission": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" }, "organizationId": { "type": "string", "pattern": "^org_.+$", "example": "org_1234567" } } }, "reimbursement-fee": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" } } }, "failed-payment-fee": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" } } }, "payment-fee": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" }, "paymentDescription": { "type": "string", "example": "Payment Description" } } }, "managed-fee": { "type": [ "object", "null" ], "properties": { "feeType": { "type": "string", "example": "feeType" }, "feeId": { "type": "string", "example": "feeId" } } }, "returned-managed-fee": { "type": [ "object", "null" ], "properties": { "feeType": { "type": "string", "example": "feeType" }, "feeId": { "type": "string", "example": "feeId" } } }, "post-payment-split-payment": { "type": [ "object", "null" ], "properties": { "paymentId": { "type": "string", "pattern": "^tr_.+$", "example": "tr_5B8cwPMGnU" } } } } }, "createdAt": { "type": "string", "description": "The entity's date and time of creation, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true, "example": "2024-03-20T09:13:37+00:00" } } } } } }, "_links": { "type": "object", "description": "Links to help navigate through the lists of items. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "previous", "next", "documentation" ], "properties": { "self": { "description": "The URL to the current set of items.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "previous": { "description": "The previous set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "next": { "description": "The next set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "list-balance-transactions-200-1": { "summary": "A list of balance transaction objects", "value": { "count": 2, "_embedded": { "balance_transactions": [ { "resource": "balance-transaction", "id": "baltr_QM24QwzUWR4ev4Xfgyt29A", "type": "refund", "resultAmount": { "currency": "EUR", "value": "-10.25" }, "initialAmount": { "currency": "EUR", "value": "-10.00" }, "deductions": { "currency": "EUR", "value": "-0.25" }, "deductionDetails": { "fees": { "currency": "EUR", "value": "-0.25" } }, "createdAt": "2022-12-16T11:23:25+00:00", "context": { "paymentId": "tr_5B8cwPMGnU6qLbRvo7qEZo", "refundId": "re_4qqhO89gsT" } }, { "resource": "balance-transaction", "id": "baltr_WhmDwNYR87FPDbiwBhUXCh", "type": "payment", "resultAmount": { "currency": "EUR", "value": "9.71" }, "initialAmount": { "currency": "EUR", "value": "10.00" }, "deductions": { "currency": "EUR", "value": "-0.29" }, "deductionDetails": { "fees": { "currency": "EUR", "value": "-0.02" }, "commissions": { "currency": "EUR", "value": "-0.09" }, "reservations": { "currency": "EUR", "value": "-0.09" }, "repayments": { "currency": "EUR", "value": "-0.09" } }, "createdAt": "2022-12-16T11:23:25+00:00", "context": { "paymentId": "tr_5B8cwPMGnU6qLbRvo7qEZo" } } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": { "href": "https://api.mollie.com/v2/balances/bal_gVMhHKqSSRYJyPsuoPNFH/transactions?from=baltr_rXeW2yPqqDUyfAqq8fS5Bg&limit=5", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } }, "list-balance-transactions-200-2": { "summary": "List balance transactions", "value": { "_embedded": { "balance_transactions": [ { "resource": "balance-transaction", "id": "baltr_Eh5yKgk4PWxsCSJy7bdRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:23:25+00:00", "context": { "paymentId": "tr_9gX2sjtuh6" } }, { "resource": "balance-transaction", "id": "baltr_BR56v6ZPrVcfy8jbzadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:22:20+00:00", "context": { "paymentId": "tr_qVamMQaRjN" } }, { "resource": "balance-transaction", "id": "baltr_XM3Ye884WheSEsGqyadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:22:12+00:00", "context": { "paymentId": "tr_vLzZYBN6gd" } }, { "resource": "balance-transaction", "id": "baltr_pYs7WdRU9TV9cyxsnadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:20:20+00:00", "context": { "paymentId": "tr_hhwh2cTWCk" } }, { "resource": "balance-transaction", "id": "baltr_vecp57y9tTsnohz2hadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:19:19+00:00", "context": { "paymentId": "tr_jnTdA4W6Rq" } }, { "resource": "balance-transaction", "id": "baltr_s5EKzwZ394TxEcpSaadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:18:12+00:00", "context": { "paymentId": "tr_xLQaL4nsJT" } }, { "resource": "balance-transaction", "id": "baltr_WgQcFW4DS9zNDeWCWadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:17:28+00:00", "context": { "paymentId": "tr_RSiTUXmzGo" } }, { "resource": "balance-transaction", "id": "baltr_ZAbACJF2Nh2PCJysHadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:15:22+00:00", "context": { "paymentId": "tr_h8mPuFp8hq" } }, { "resource": "balance-transaction", "id": "baltr_CM6okJdX7SUFDzXVBadRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:14:16+00:00", "context": { "paymentId": "tr_kJJrKynq7H" } }, { "resource": "balance-transaction", "id": "baltr_Luwmv2RPjWAPVbQsrZdRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:11:16+00:00", "context": { "paymentId": "tr_hrimCxybrx" } }, { "resource": "balance-transaction", "id": "baltr_fNnyBtyVpMaujFHoTZdRH", "type": "payment", "resultAmount": { "value": "300.00", "currency": "EUR" }, "initialAmount": { "value": "300.00", "currency": "EUR" }, "createdAt": "2022-12-16T11:07:18+00:00", "context": { "paymentId": "tr_AxBZBFz2to" } }, { "resource": "balance-transaction", "id": "baltr_ZYkNBk6NpH8yyanezZbRH", "type": "payment", "resultAmount": { "value": "1.00", "currency": "EUR" }, "initialAmount": { "value": "1.00", "currency": "EUR" }, "createdAt": "2022-12-15T16:40:16+00:00", "context": { "paymentId": "tr_dZvMYBkaMd" } }, { "resource": "balance-transaction", "id": "baltr_KouV3xWwyPSimHtPuZbRH", "type": "payment", "resultAmount": { "value": "1.00", "currency": "EUR" }, "initialAmount": { "value": "1.00", "currency": "EUR" }, "createdAt": "2022-12-15T16:39:22+00:00", "context": { "paymentId": "tr_iNkGFF75jh" } }, { "resource": "balance-transaction", "id": "baltr_R7J2QLNXBHozou2sygaRH", "type": "payment", "resultAmount": { "value": "0.62", "currency": "EUR" }, "initialAmount": { "value": "1.00", "currency": "EUR" }, "deductions": { "value": "-0.38", "currency": "EUR" }, "deductionDetails": { "fees": { "currency": "EUR", "value": "-0.01" }, "commissions": { "currency": "EUR", "value": "-0.20" }, "repayments": { "currency": "EUR", "value": "-0.07" }, "reservations": { "currency": "EUR", "value": "-0.10" } }, "createdAt": "2022-12-15T08:32:17+00:00", "context": { "paymentId": "tr_5ZYFyKSBLy" } }, { "resource": "balance-transaction", "id": "baltr_wYLbjfBDPPbhktwP9iYRH", "type": "payment", "resultAmount": { "value": "0.05", "currency": "EUR" }, "initialAmount": { "value": "0.05", "currency": "EUR" }, "createdAt": "2022-12-14T14:11:11+00:00", "context": { "paymentId": "tr_iSQFK5EVov" } }, { "resource": "balance-transaction", "id": "baltr_bqd6QKaPMpgWKLRAYdYRH", "type": "payment", "resultAmount": { "value": "1.00", "currency": "EUR" }, "initialAmount": { "value": "1.00", "currency": "EUR" }, "createdAt": "2022-12-14T13:26:18+00:00", "context": { "paymentId": "tr_KacasZ6Mep" } }, { "resource": "balance-transaction", "id": "baltr_EW4yXvwwERRkNTxGUHYRH", "type": "payment", "resultAmount": { "value": "0.05", "currency": "EUR" }, "initialAmount": { "value": "0.05", "currency": "EUR" }, "createdAt": "2022-12-14T10:10:29+00:00", "context": { "paymentId": "tr_PsZAZznzcg" } }, { "resource": "balance-transaction", "id": "baltr_MU5s5vSHYDRSWnYbJBYRH", "type": "payment", "resultAmount": { "value": "0.05", "currency": "EUR" }, "initialAmount": { "value": "0.05", "currency": "EUR" }, "createdAt": "2022-12-14T09:10:17+00:00", "context": { "paymentId": "tr_eUo3wbBuSe" } }, { "resource": "balance-transaction", "id": "baltr_UAzMEogYhsKnBiNQF5YRH", "type": "payment", "resultAmount": { "value": "0.05", "currency": "EUR" }, "initialAmount": { "value": "0.05", "currency": "EUR" }, "createdAt": "2022-12-14T08:11:12+00:00", "context": { "paymentId": "tr_wgCSd9H32d" } }, { "resource": "balance-transaction", "id": "baltr_tRCT9FVTN4gmoYsetiXRH", "type": "outgoing-transfer", "resultAmount": { "value": "-1077.62", "currency": "EUR" }, "initialAmount": { "value": "-1077.62", "currency": "EUR" }, "createdAt": "2022-12-14T05:02:25+00:00", "context": { "settlementId": "stl_nyjwa2", "transferId": "trf_nyjwa2" } }, { "resource": "balance-transaction", "id": "baltr_mCT66L9cfEWbqgNFwFWRH", "type": "payment", "resultAmount": { "value": "0.05", "currency": "EUR" }, "initialAmount": { "value": "0.05", "currency": "EUR" }, "createdAt": "2022-12-13T15:23:17+00:00", "context": { "paymentId": "tr_Q4P8DoWGhA" } }, { "resource": "balance-transaction", "id": "baltr_qb8AuKkzZQ4ipFpbkDWRH", "type": "refund", "resultAmount": { "value": "-0.30", "currency": "EUR" }, "initialAmount": { "value": "-0.05", "currency": "EUR" }, "deductions": { "value": "-0.25", "currency": "EUR" }, "deductionDetails": { "fees": { "currency": "EUR", "value": "-0.25" } }, "createdAt": "2022-12-13T15:01:56+00:00", "context": { "paymentId": "tr_PsZAZznzcg", "refundId": "re_6Z8eVo5cfB" } }, { "resource": "balance-transaction", "id": "baltr_HBLVK3kVRhmZWSZWQ2WRH", "type": "payment", "resultAmount": { "value": "0.05", "currency": "EUR" }, "initialAmount": { "value": "0.05", "currency": "EUR" }, "createdAt": "2022-12-13T13:11:11+00:00", "context": { "paymentId": "tr_6suxvyRvh7" } }, { "resource": "balance-transaction", "id": "baltr_C3EMuY25RMvkCHvX72WRH", "type": "payment", "resultAmount": { "value": "8.00", "currency": "EUR" }, "initialAmount": { "value": "8.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:08:31+00:00", "context": { "paymentId": "tr_Avvj4y3vpT" } }, { "resource": "balance-transaction", "id": "baltr_GwdyZkuUtckkfqgP72WRH", "type": "payment", "resultAmount": { "value": "7.00", "currency": "EUR" }, "initialAmount": { "value": "7.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:08:17+00:00", "context": { "paymentId": "tr_PipTfbTdSZ" } }, { "resource": "balance-transaction", "id": "baltr_r7F48qyzcpeqzRN872WRH", "type": "payment", "resultAmount": { "value": "11.00", "currency": "EUR" }, "initialAmount": { "value": "11.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:08:12+00:00", "context": { "paymentId": "tr_XPn7eZLdHW" } }, { "resource": "balance-transaction", "id": "baltr_RGxkRZAqqMUx9uLp62WRH", "type": "payment", "resultAmount": { "value": "50.00", "currency": "EUR" }, "initialAmount": { "value": "50.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:08:12+00:00", "context": { "paymentId": "tr_gwXxqPkEp5" } }, { "resource": "balance-transaction", "id": "baltr_TwHzY2rqhpmWNKdazzVRH", "type": "payment", "resultAmount": { "value": "60.00", "currency": "EUR" }, "initialAmount": { "value": "60.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:07:15+00:00", "context": { "paymentId": "tr_NAmGGiTYFa" } }, { "resource": "balance-transaction", "id": "baltr_vEYxvT9jswxgdXfJzzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:07:12+00:00", "context": { "paymentId": "tr_vhRv8ViBMe" } }, { "resource": "balance-transaction", "id": "baltr_NdJB8uc7xB2SZW3zyzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:07:09+00:00", "context": { "paymentId": "tr_FAncWtTAkc" } }, { "resource": "balance-transaction", "id": "baltr_pEM6remSK3UGHDRAuzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:06:19+00:00", "context": { "paymentId": "tr_qo5gbi9vJS" } }, { "resource": "balance-transaction", "id": "baltr_6GusRMZHuWapoEFvtzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:06:17+00:00", "context": { "paymentId": "tr_SQAnWQTDhk" } }, { "resource": "balance-transaction", "id": "baltr_iieu2Lzf52V3KGadtzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:06:14+00:00", "context": { "paymentId": "tr_SfwMVsgupV" } }, { "resource": "balance-transaction", "id": "baltr_e2gtch39TSo6iABHozVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:05:19+00:00", "context": { "paymentId": "tr_zDnDYuv2pv" } }, { "resource": "balance-transaction", "id": "baltr_pmNMcz8GdvwPmvmunzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:05:15+00:00", "context": { "paymentId": "tr_oHC6fGA79e" } }, { "resource": "balance-transaction", "id": "baltr_qFmvrsKMRojS967cnzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:05:12+00:00", "context": { "paymentId": "tr_CDTPhfQSxX" } }, { "resource": "balance-transaction", "id": "baltr_DcLYydj7aMazfaWQnzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:05:10+00:00", "context": { "paymentId": "tr_hqirWect39" } }, { "resource": "balance-transaction", "id": "baltr_3BoK75R8c2Wuomf9hzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:04:16+00:00", "context": { "paymentId": "tr_Qj5Hw28wYV" } }, { "resource": "balance-transaction", "id": "baltr_9LErqzZoJ9ZDvx3sgzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:04:13+00:00", "context": { "paymentId": "tr_gKUTkGHf39" } }, { "resource": "balance-transaction", "id": "baltr_AdVYVkaGLzVsnNofgzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:04:11+00:00", "context": { "paymentId": "tr_sziq4rQGCK" } }, { "resource": "balance-transaction", "id": "baltr_HQvvmTk2FCbQJHHcbzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:03:19+00:00", "context": { "paymentId": "tr_CrYoNkUrVo" } }, { "resource": "balance-transaction", "id": "baltr_AHWBoHhsAV8HnQKGbzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:03:16+00:00", "context": { "paymentId": "tr_jZLuE2xWM5" } }, { "resource": "balance-transaction", "id": "baltr_iej3r8HjzyLLxv95bzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:03:14+00:00", "context": { "paymentId": "tr_UziwFDQHWB" } }, { "resource": "balance-transaction", "id": "baltr_vLqVSaXJ5d8SjNTgazVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:03:10+00:00", "context": { "paymentId": "tr_Umu5CyUBTK" } }, { "resource": "balance-transaction", "id": "baltr_iEgyvSjkCWVbQpREVzVRH", "type": "payment", "resultAmount": { "value": "150.00", "currency": "EUR" }, "initialAmount": { "value": "150.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:02:13+00:00", "context": { "paymentId": "tr_y7iQWhd9jE" } }, { "resource": "balance-transaction", "id": "baltr_Cq6pB2qDkPXvXv4wUzVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:02:10+00:00", "context": { "paymentId": "tr_z4bBWATo6R" } }, { "resource": "balance-transaction", "id": "baltr_W4XvgZTmFhvoNdPxPzVRH", "type": "payment", "resultAmount": { "value": "100.00", "currency": "EUR" }, "initialAmount": { "value": "100.00", "currency": "EUR" }, "createdAt": "2022-12-13T13:01:19+00:00", "context": { "paymentId": "tr_uKnTrJmuBU" } }, { "resource": "balance-transaction", "id": "baltr_SnQyfLUyy6HmHth8GyVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T12:50:14+00:00", "context": { "paymentId": "tr_DQNgqzsPuV" } }, { "resource": "balance-transaction", "id": "baltr_QYAWSE7rV4UraAgSAyVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T12:49:15+00:00", "context": { "paymentId": "tr_PJM8Uxj2uW" } }, { "resource": "balance-transaction", "id": "baltr_oAnC33yT7GXhP7X8AyVRH", "type": "payment", "resultAmount": { "value": "10.00", "currency": "EUR" }, "initialAmount": { "value": "10.00", "currency": "EUR" }, "createdAt": "2022-12-13T12:49:12+00:00", "context": { "paymentId": "tr_DoVqyuZEfg" } } ] }, "count": 50, "_links": { "documentation": { "href": "...", "type": "text/html" }, "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": { "href": "https://api.mollie.com/v2/balances/bal_CKjKwQdjCwCSArXFAJNFH/transactions?from=baltr_WuSLmsLzeDVRRYAq9yVRH&limit=50", "type": "application/hal+json" } } } } } } } }, "400": { "description": "The request contains issues. For example, if the specified `from` value is not a valid ID.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "Invalid cursor value", "field": "from", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } }, "404": { "description": "No entity with this ID exists.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 404, "title": "Not Found", "detail": "No entity exists with token 'uct_abcDEFghij123456789'", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } }, "429": { "description": "Rate Limit has been reached.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 492, "title": "Too Many Requests", "detail": "Too Many Requests in a brief period. Please wait X seconds before retrying", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-speakeasy-pagination": { "type": "url", "outputs": { "nextUrl": "$._links.next.href" } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/balances/bal_gVMhHKqSSRYJyPsuoPNFH/transactions \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\");\n\n$balanceTransactions = $mollie->send(\n new GetPaginatedBalanceTransactionRequest(\"bal_gVMhHKqSSRYJyPsuoPNFH\")\n);", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "'''\nWe don't have a Python code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n'''", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "# We don't have a Ruby code example for this\n# API call yet.\n#\n# If you have some time to spare, feel free to\n# share suggestions on our Discord:\n# https://discord.gg/VaTVkXB4aQ", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```